<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 1;
$toolId = \ToolsAPI::TOOL_ADRESSINFO_MA;

$objsettings = ToolSettingsAPI::getToolSettings($toolId);
$settingsArray = array();

$setting = new Setting();
$setting->name = 'datensaetzeproseite';
$setting->description = 'Angezeigte Adressen pro Seite';
$setting->help = '';
$setting->subGroup = 'Adressübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 4;
$setting->config->allowNegative = false;
$setting->config->HasIncrDecr = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortadr';
$setting->description = 'Sortierung der Adressen';
$setting->help = '';
$setting->subGroup = 'Adressübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
    'nr' => 'nach Adressnummer',
    'name' => 'nach Adressen'
    );
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortadrasc';
$setting->description = 'Sortierkriterium auf- oder absteigend';
$setting->help = '';
$setting->subGroup = 'Adressübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
    '1' => 'aufsteigend',
    '' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'adressUebersichtAlsTabelle';
$setting->description = 'Stelle Adressen als Tabelle statt Panels dar';
$setting->help = '';
$setting->subGroup = 'Adressübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);